Package org.eclipse.net4j.util.om

# Klasse OSGiActivator

java.lang.Object
org.eclipse.net4j.util.om.OSGiActivator

Alle implementierten Schnittstellen:
  `org.osgi.framework.BundleActivator`

Bekannte direkte Unterklassen:
  `OSGiActivator.WithState`

public abstract class OSGiActivator extends Object implements org.osgi.framework.BundleActivator
A default implementation of an OSGi `bundle activator` for OM `bundles`.

Autor:
  Eike Stepper

## Verschachtelte Klassen - Übersicht

Verschachtelte Klassen
Modifizierer und Typ
Klasse
Beschreibung
`static class`
`OSGiActivator.StateHandler`
Saves and loads `bundle` state.
`static class`
`OSGiActivator.WithState`
An OSGi `activator` that stores `bundle state` between sessions.

## Feldübersicht

Felder
Modifizierer und Typ
Feld
Beschreibung
`protected org.osgi.framework.BundleContext`
`bundleContext`

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`OSGiActivator(OMBundle omBundle)`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`protected final Object`
`clone()`
`protected void`
`doStart()`
`protected void`
`doStop()`
`final boolean`
`equals(Object obj)`
`final OMBundle`
`getOMBundle()`
`final int`
`hashCode()`
`static void`
`start(OMBundle bundle)`
`final void`
`start(org.osgi.framework.BundleContext context)`
`static void`
`stop(OMBundle bundle)`
`final void`
`stop(org.osgi.framework.BundleContext context)`
`final String`
`toString()`
`static void`
`traceStart(org.osgi.framework.BundleContext context)`
`static void`
`traceStop(org.osgi.framework.BundleContext context)`

### Von Klasse geerbte Methoden java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Felddetails

### bundleContext

protected org.osgi.framework.BundleContext bundleContext

Seit:
  2.0

## Konstruktordetails

### OSGiActivator

public OSGiActivator(OMBundle omBundle)

## Methodendetails

### getOMBundle

public final OMBundle getOMBundle()

### start

public final void start(org.osgi.framework.BundleContext context) throws Exception

Angegeben von:
  `start` in Schnittstelle `org.osgi.framework.BundleActivator`
Löst aus:
  `Exception`

### stop

public final void stop(org.osgi.framework.BundleContext context) throws Exception

Angegeben von:
  `stop` in Schnittstelle `org.osgi.framework.BundleActivator`
Löst aus:
  `Exception`

### equals

public final boolean equals(Object obj)

Setzt außer Kraft:
  `equals` in Klasse `Object`

### hashCode

public final int hashCode()

Setzt außer Kraft:
  `hashCode` in Klasse `Object`

### toString

public final String toString()

Setzt außer Kraft:
  `toString` in Klasse `Object`

### clone

protected final Object clone() throws CloneNotSupportedException

Setzt außer Kraft:
  `clone` in Klasse `Object`
Löst aus:
  `CloneNotSupportedException`

### doStart

protected void doStart() throws Exception

Löst aus:
  `Exception`
Seit:
  2.0

### doStop

protected void doStop() throws Exception

Löst aus:
  `Exception`
Seit:
  2.0

### start

public static void start(OMBundle bundle) throws Exception

Löst aus:
  `Exception`
Seit:
  3.3

### stop

public static void stop(OMBundle bundle) throws Exception

Löst aus:
  `Exception`
Seit:
  3.3

### traceStart

public static void traceStart(org.osgi.framework.BundleContext context)

Seit:
  2.0

### traceStop

public static void traceStop(org.osgi.framework.BundleContext context)

Seit:
  2.0